// {} Librerías e importaciones

// ! Tabla
import Tabla from "../../elementos/tabla.js";

// {}
(() => {

  // ! Declaración de variables
  let
		peticion = {actual: null},
		campo = {
			mascara: {}
		}
	;

  // !
  new Tabla({
    datos: {
      peticion: {
        ruta: "../ejecutar",
        parametro: {
          procedimiento: "p_traer_permisos_empleado",
          id_cliente: -1,
        }
      }
    },
    configuracion: {
      dom: `t`,
      pageLength: -1,
    },
  }).inicializar();

  // !
  $(id_empleado).focusout(function(evento) {

    // +
    if (!this.value)
      return formularioPermisosEmpleados.reset()
    ;

    // + Condición para verificar si la
    // + petición existe y cancelarla
    peticion.actual &&
    peticion.actual.abort();

    // + Petición hacía el
    // + controlador 'traerRegistros'
    peticion.actual = $.ajax({
      url: `${window.aplicacion.enlace}/ejecutar`,
      data: {
        procedimiento: 'p_traer_unico_registro',
        renglon: 'EMPLEADO',
        id_renglon: id_empleado.value
      },
      beforeSend: function(peticion, configuracion) {

        id_empleado.placeholder = id_empleado.value;
        formularioPermisosEmpleados.reset();
      },
      success: function(respuesta, estado, peticion) {

      },
      error: function(peticion, estado) {},
      complete: function(peticion, estado) {},
      campo: { elemento: this },
      formulario: { elemento: formularioPermisosEmpleados }
    })
  })

  // !
  $(botonLimpiar).click(function(evento) {

    $('#tablaRegistros').dataTable().clear().draw()

  });




})()
